Bug 161844 - [PATCH] graphics/geos: update to 3.3.1
Summary: [PATCH] graphics/geos: update to 3.3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-20 20:40 UTC by Loïc Bartoletti
Modified: 2011-12-22 04:00 UTC (History)
0 users

See Also:


Attachments
file.diff (4.83 KB, patch)
2011-10-20 20:40 UTC, Loïc Bartoletti
no flags Details | Diff
geos-3.3.1.patch (12.55 KB, patch)
2011-10-28 15:07 UTC, Loïc Bartoletti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti 2011-10-20 20:40:07 UTC
Update geos 3.3.0->3.3.1

(I don't fix clang building problem  : http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/161005)

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-10-20 20:40:15 UTC
Maintainer of graphics/geos,

Please note that PR ports/161844 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/161844

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-10-20 20:40:17 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Rainer Hurling 2011-10-23 16:32:31 UTC
Bartoletti mentioned he did not fix the clang problem, PR 
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/161005 .

It is possible that the update from 3.3.0 to 3.3.1 brings some 
improvements with clang, see 
http://trac.osgeo.org/geos/browser/tags/3.3.1/NEWS (Changes in 3.3.1, 
Fix for clang builds #463).

Rainer Hurling
Comment 4 Loïc Bartoletti 2011-10-28 15:07:23 UTC
Here the new patch.

Build and links with gcc and clang.
Comment 5 Michael Scheidell freebsd_committer 2011-12-07 01:51:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 6 Michael Scheidell freebsd_committer 2011-12-07 18:53:41 UTC
Responsible Changed
From-To: scheidell->freebsd-ports-bugs

back to pool, submitter needs to rework this patch. 
IMPORTANT: DO NOT TAKE OUT %%PYTHON and similar things from pkg-plist 
build this (make a package:  'make package') with default options first. 
them make with options, install, uninstall, make sure you don't leave any files  
pay special attention to the pkg-plist! 
pay special attention to the pkg-plist! (rinse and repeat)
Comment 7 Wen Heping freebsd_committer 2011-12-14 00:40:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 8 dfilter service freebsd_committer 2011-12-22 03:18:53 UTC
wen         2011-12-22 03:18:39 UTC

  FreeBSD ports repository

  Modified files:
    graphics/geos        Makefile distinfo pkg-plist 
  Log:
  - Update to 3.3.1
  - Add option for ruby and php
  
  PR:             161844
  Submitted by:   Bartoletti <coder@tuxfamily.org>
  Approved by:    maintainer(timeout, >2 months)
  
  Revision  Changes    Path
  1.30      +29 -9     ports/graphics/geos/Makefile
  1.17      +2 -2      ports/graphics/geos/distinfo
  1.16      +16 -10    ports/graphics/geos/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Wen Heping freebsd_committer 2011-12-22 04:00:50 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!